local M = {}
M.type = "auxiliary"

local defaultPowerWindow = 0

local function init(jbeamData)
  defaultPowerWindow = jbeamData.defaultPowerWindow or 0
end

local function reset()
  electrics.values.FLWindow = defaultPowerWindow
  electrics.values.FRWindow = defaultPowerWindow
  electrics.values.FLWindowInput = defaultPowerWindow
  electrics.values.FRWindowInput = defaultPowerWindow
end

local function updateGFX(dt)
  electrics.values.FLWindow = electrics.values.FLWindowInput or defaultPowerWindow
  electrics.values.FRWindow = electrics.values.FRWindowInput or defaultPowerWindow
end

M.init = init
M.reset = reset
M.updateGFX = updateGFX

return M
